Bug 103621 - Arithmetic expansion crashes on array cells with values: <num><word>*
Arithmetic expansion crashes on array cells with values: <num><word>*
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
9
xscale Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 03:44 EDT by Kyriakos Sidiropoulos
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-04 05:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyriakos Sidiropoulos 2003-09-03 03:44:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030822

Description of problem:


Version-Release number of selected component (if applicable):
bash-2.05b-20

How reproducible:
Always

Steps to Reproduce:
1. Copy paste this in a file:

#! /bin/bash
i=896786k; $(( i[0] ))

2. chmod 755 <file>
3. ./<file>

Actual Results:  [...]: line 3: 896786k: value too great for base (error token
is "896786k")
segmentation fault



Expected Results:  Only the error message

Additional info:
Comment 1 Tim Waugh 2003-09-04 05:51:26 EDT
Reported upstream:

http://mail.gnu.org/archive/html/bug-bash/2003-09/msg00098.html

Note You need to log in before you can comment on or make changes to this bug.